.page {
    display: flex;
    flex-direction: column;
}

.upload {
    display: flex;
    flex-direction: row;
    height: fit-content;
    align-items: center;
    padding: 15px;
}

#post input {
    border: 2px solid rgb(250, 250, 250);
    background-color: rgb(255, 255, 255);
    outline: 0px;
    border-radius: 5px;
    margin: 5px;
    padding: 15px;
    font-family: "Rubik", sans-serif, serif;
}

#post input[type="submit"] {
    border: 2px solid rgb(250, 250, 250);
    background-color: rgb(174, 1, 0);
    color: white;
    outline: 0px;
    border-radius: 5px;
    padding: 10px;
    margin-left: 15px;
}

.posts {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, auto);
    gap: 10px;
    margin: 15px;
}

.post-user {
    display: flex;
    flex-direction: column;
    padding: 15px;
    border-radius: 15px;
    background-color: rgb(248, 248, 248);
    text-decoration: none;
    color: black;
}

.post-user h1 {
    font-family: "Rubik", sans-serif, serif;
    font-weight: bold;
    font-size: 24px;
}

.post-header {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.post-content p {
    font-family: "Rubik", sans-serif, serif;
    font-size: 12px;
}

.grade {
    display: flex;
    justify-content: center;
    padding: 10px;
    border-radius: 10px;
    font-size: 30px;
    margin-right: 15px;
    font-family: "Rubik", sans-serif, serif;
    font-weight: bold;
    height: 52px;
    width: 52px;
    color: white;
}

.warning {
    padding: 15px;
    justify-content: center;
    align-items: center;
    background-color: rgb(200, 175, 0);
}

.warn {
    color: black;
    font-family: "Rubik", sans-serif, serif;
    font-weight: bold;
    text-align: center;
}

@media (max-width: 988px){
    .posts {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
    }
}

@media (max-width: 768px){
    .posts {
        grid-template-columns: 1fr;
        grid-template-rows: auto;
    }
}